<!DOCTYPE html>
<html data-layout-decorate="~{layout/app-layout}">
<head></head>
<body>
	<div data-layout-fragment="content">
		<h2>Adicionar Usuário</h2>
		<p>Cadastre as informações do usuário para calcularmos seu IMC: </p>
		<form class="form" method="POST" data-th-object="${userDTO}" data-th-action="@{/usuarios/salvar}">
			<input type="hidden" data-th-field="*{id}" value="${userDTO.id}" />
			<div class="row">
				<div class="col-lg-8">
					<label for="nome" class="form-label">Nome</label>
					<input class="form-control" id="nome" type="text" data-th-field="*{name}" placeholder="Nome" />
					<p class="form-text text-danger" data-th-if="${#fields.hasErrors('name')}" data-th-errors="*{name}"></p>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-4">
					<label for="height" class="form-label">Altura (em metros)</label>
					<input class="form-control" id="height" type="number" data-th-field="*{height}" min="0" step=".01" placeholder="Altura" />
					<p class="form-text text-danger" data-th-if="${#fields.hasErrors('height')}" data-th-errors="*{height}"></p>
				</div>
				<div class="col-lg-4">
					<label for="weight" class="form-label">Peso (em quilogramas)</label>
					<input class="form-control" id="weight" type="number" data-th-field="*{weight}" min="0" step=".01" placeholder="Peso" /> 
					<p class="form-text text-danger" data-th-if="${#fields.hasErrors('weight')}" data-th-errors="*{weight}"></p>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-8">
					<button class="btn btn-primary" type="submit"><span><i class="fa fa-check-circle"></i> Salvar</span></button>
					<a class="btn btn-info" role="button" data-th-href="@{/usuarios}"><span><i class="fa fa-arrow-left"></i> Voltar</span></a>
				</div>
			</div>
		</form>
	</div>
</body>
</html>